<package id="msvc" name="%NAME% Runtimes" group="Standard Programme" priority="1">
  <variable name="NAME" value="Visual C++" />
  <install>
    <cmd name="%NAME% 2005" path="x86\2005\vcredist.msi" param="/q">
      <check type="file" condition="<" path="%commonprogramfiles%\microsoft shared\VC\msdia80.dll" value="8.0.50727.6195" arch="x86" />
      <check type="file" condition="<" path="%programfiles(x86)%\Common Files\microsoft shared\VC\msdia80.dll" value="8.0.50727.6195" arch="x64" />
    </cmd>
    <cmd arch="x64" name="%NAME% 2005 x64" path="x64\2005\vcredist.msi" param="/q">
      <check type="file" condition="<" path="%programfiles(x86)%\Common Files\microsoft shared\VC\amd64\msdia80.dll" value="8.0.50727.6195" />
    </cmd>
    <cmd name="%NAME% 2008" path="x86\2008\install.exe" param="/q">
      <check type="file" condition="<" path="%commonprogramfiles%\microsoft shared\VC\msdia90.dll" value="9.0.30729.6161" arch="x86" />
      <check type="file" condition="<" path="%programfiles(x86)%\Common Files\microsoft shared\VC\msdia90.dll" value="9.0.30729.6161" arch="x64" />
    </cmd>
    <cmd arch="x64" name="%NAME% 2008 x64" path="x64\2008\install.exe" param="/q">
      <check type="file" condition="<" path="%programfiles%\Common Files\Microsoft Shared\VC\msdia90.dll" value="9.0.30729.6161" />
    </cmd>
    <cmd name="%NAME% 2010" path="x86\2010\Setup.exe" param="/q">
      <check type="file" condition="<" path="%commonprogramfiles%\microsoft shared\VC\msdia100.dll" value="10.0.40219.1" arch="x86" />
      <check type="file" condition="<" path="%programfiles(x86)%\Common Files\microsoft shared\VC\msdia100.dll" value="10.0.40219.1" arch="x64" />
    </cmd>
    <cmd arch="x64" name="%NAME% 2010 x64" path="x64\2010\Setup.exe" param="/q">
      <check type="file" condition="<" path="%programfiles%\Common Files\Microsoft Shared\VC\msdia100.dll" value="10.0.40219.1" />
    </cmd>
    <cmd name="%NAME% 2012" path="x86\2012\vcredist2012_x86.exe" param="/q /norestart">
      <check type="os" condition=">" value="6.0.6002.0" />
      <check type="file" condition="<" path="%windir%\system32\atl110.dll" value="11.0.60610.1" arch="x86" />
      <check type="file" condition="<" path="%windir%\syswow64\atl110.dll" value="11.0.60610.1" arch="x64" />
    </cmd>
    <cmd arch="x64" name="%NAME% 2012 x64" path="x64\2012\vcredist2012_x64.exe" param="/q /norestart">
      <check type="os" condition=">" value="6.0.6002.0" />
      <check type="file" condition="<" path="%windir%\syswow64\atl110.dll" value="11.0.60610.1" />
    </cmd>
    <cmd name="%NAME% 2013" path="x86\2013\vcredist2013_x86.exe" param="/q /norestart">
      <check type="os" condition=">" value="6.1.7600.0" />
      <check type="file" condition="<" path="%windir%\system32\msvcp120.dll" value="12.0.20827.3" arch="x86" />
      <check type="file" condition="<" path="%windir%\syswow64\msvcp120.dll" value="12.0.20827.3" arch="x64" />
    </cmd>
    <cmd arch="x64" name="%NAME% 2013 x64" path="x64\2013\vcredist2013_x64.exe" param="/q /norestart">
      <check type="os" condition=">" value="6.1.7600.0" />
      <check type="file" condition="<" path="%windir%\syswow64\msvcp120.dll" value="12.0.20827.3" />
    </cmd>
  </install>
</package>
